(function($) {
    'use strict';

    function get_template_value() {
        var element = $('select[name="jpt_setting_metabox[portfolio_layout]"]')
        return $(element).val()
    }

    function normalize_view() {
        $('#postdivrich').show()
        $('#normal-sortables > div').each(function() {
            $(this).attr('style', '')
        });
    }

    function page_metabox_visibililty() {
        var template = get_template_value()
        normalize_view()

        if (template === 'ajax_portfolio') {
            $('#jpt_meta_metabox_meta_box').show()
            $('#jpt_single_ajax_setting_metabox_meta_box').show()
            $('#jpt_media_builder_metabox_meta_box').show()
            $('#jpt_side_content_setting_metabox_meta_box').hide()
            $('#jpt_another_page_setting_meta_box').hide()
            $('#postdivrich').show();
        } else if (template === 'side_content_portfolio') {
            $('#jpt_meta_metabox_meta_box').show()
            $('#jpt_single_ajax_setting_metabox_meta_box').hide()
            $('#jpt_media_builder_metabox_meta_box').show()
            $('#jpt_side_content_setting_metabox_meta_box').show()
            $('#jpt_another_page_setting_meta_box').hide()
            $('#postdivrich').show();
        } else if (template === 'to_another_page_link') {
            $('#jpt_meta_metabox_meta_box').hide()
            $('#jpt_single_ajax_setting_metabox_meta_box').hide()
            $('#jpt_media_builder_metabox_meta_box').hide()
            $('#jpt_side_content_setting_metabox_meta_box').hide()
            $('#jpt_another_page_setting_meta_box').show()
            $('#postdivrich').hide();
        }
    }

    function portfolio_metabox() {
        var $page_template = $('select[name="jpt_setting_metabox[portfolio_layout]"]')

        page_metabox_visibililty()

        $page_template.on('change', page_metabox_visibililty)
    }

    function media_builder() {
        var media_builder = $('#jpt_media_builder_metabox'),
            repeater_wrapper = media_builder.find('.widget-wrapper.type-repeater'),
            repeater_row = media_builder.find('.repeater-row')

        repeater_row.each(function() {
            var media_type = $(this).find('[data-field="media_type"]')

            media_select(media_type)
            media_type.on('change', function() {
                media_select($(this))
            })
        })

        repeater_wrapper.on('change', function() {
            var rows = $(this).find('.repeater-row'),
                new_row = rows[rows.length - 1],
                media_type = $(new_row).find('[data-field="media_type"]')

            media_select(media_type)
            media_type.on('change', function() {
                media_select($(this))
            })
        })
    }

    function media_select(type) {
        var field = type.parents('.repeater-row-content')
        if (type.val() == 'youtube' || type.val() == 'vimeo' || type.val() == 'soundcloud') {
            field.find('[data-field="media_image"]').parents('.repeater-field').hide()
            field.find('[data-field="video_mp4"]').parents('.repeater-field').hide()
            field.find('[data-field="video_webm"]').parents('.repeater-field').hide()
            field.find('[data-field="video_ogg"]').parents('.repeater-field').hide()
            field.find('[data-field="thumb_width"]').parents('.repeater-field').show()
            field.find('[data-field="thumb_height"]').parents('.repeater-field').show()
            field.find('[data-field="image_cover"]').parents('.repeater-field').show()
            field.find('[data-field="media_url"]').parents('.repeater-field').show()
            field.find('[data-field="media_title"]').parents('.repeater-field').show()
        } else if (type.val() == 'html5video') {
            field.find('[data-field="media_image"]').parents('.repeater-field').hide()
            field.find('[data-field="video_mp4"]').parents('.repeater-field').show()
            field.find('[data-field="video_webm"]').parents('.repeater-field').show()
            field.find('[data-field="video_ogg"]').parents('.repeater-field').show()
            field.find('[data-field="thumb_width"]').parents('.repeater-field').show()
            field.find('[data-field="thumb_height"]').parents('.repeater-field').show()
            field.find('[data-field="image_cover"]').parents('.repeater-field').show()
            field.find('[data-field="media_url"]').parents('.repeater-field').hide()
            field.find('[data-field="media_title"]').parents('.repeater-field').show()
        } else {
            field.find('[data-field="media_image"]').parents('.repeater-field').show()
            field.find('[data-field="video_mp4"]').parents('.repeater-field').hide()
            field.find('[data-field="video_webm"]').parents('.repeater-field').hide()
            field.find('[data-field="video_ogg"]').parents('.repeater-field').hide()
            field.find('[data-field="thumb_width"]').parents('.repeater-field').show()
            field.find('[data-field="thumb_height"]').parents('.repeater-field').show()
            field.find('[data-field="image_cover"]').parents('.repeater-field').hide()
            field.find('[data-field="media_url"]').parents('.repeater-field').hide()
            field.find('[data-field="media_title"]').parents('.repeater-field').show()
        }
    }

    $(window).on('load', function() {
        portfolio_metabox()
        media_builder()
    })
})(jQuery);