<?php

/**
 * JEG Portfolio Class
 *
 * @package jeg-portfolio
 *
 * @author Jegtheme
 *
 * @since 1.0.0
 */

namespace Jeg\Portfolio\Ajax;

/**
 * Class Ajax
 *
 * @package Jeg\Portfolio\Ajax
 */
class Ajax {
    /**
     * @var Ajax
     */
	private static $instance;

    /**
     * Metaboxes constructor.
     */
    public function __construct() {
        $this->setup_init();
        $this->setup_hook();
    }

    /**
     * @return Ajax
     */
    public static function instance() {
        if ( null === static::$instance ) {
            static::$instance = new static();
        }

        return static::$instance;
    }

    /**
     * Setup Classes
     */
    private function setup_init() {
    }

    /**
     * Setup Hooks
     */
    private function setup_hook() {
        add_action( 'wp_ajax_get_portfolio_filter', [$this, 'get_portfolio_filter'] );
        add_action( 'wp_ajax_get_gallery_pagemore_portfolio', [$this, 'get_gallery_pagemore_portfolio'] );
        add_action( 'wp_ajax_get_single_portfolio_page', [$this, 'get_single_portfolio_page'] );

        add_action( 'wp_ajax_nopriv_get_portfolio_filter', [$this, 'get_portfolio_filter'] );
        add_action( 'wp_ajax_nopriv_get_gallery_pagemore_portfolio', [$this, 'get_gallery_pagemore_portfolio'] );
        add_action( 'wp_ajax_nopriv_get_single_portfolio_page', [$this, 'get_single_portfolio_page'] );
	}

    /**
     * Ajax Search Filter
     */
    public function get_portfolio_filter() {
        defined( 'JEG_PAGE_ID' ) or define( 'JEG_PAGE_ID', $_REQUEST['portfolioid'] );
        defined( 'JEG_PORTFOLIO_PAGE' ) or define( 'JEG_PORTFOLIO_PAGE', $_REQUEST['page'] );
        defined( 'JEG_CATEGORY' ) or define( 'JEG_CATEGORY', $_REQUEST['category'] );

        include JEG_PORTFOLIO_TEMPLATE_DIR . '/fragment/portfolio-filter.php';
        exit;
    }

    /**
     * Gallery page more portfolio
     */
    public function get_gallery_pagemore_portfolio() {
        defined( 'JEG_PAGE_ID' ) or define( 'JEG_PAGE_ID', $_REQUEST['pageid'] );
        defined( 'JEG_GALLERY_PAGE' ) or define( 'JEG_GALLERY_PAGE', $_REQUEST['page'] );

        include JEG_PORTFOLIO_TEMPLATE_DIR . '/fragment/media-gallery-portfolio.php';
        exit;
    }

    public function get_single_portfolio_page() {
        defined( 'JEG_PAGE_ID' ) or define( 'JEG_PAGE_ID', $_REQUEST['pageid'] );
        defined( 'JEG_PORTFOLIO_POST_ID' ) or define( 'JEG_PORTFOLIO_POST_ID', $_REQUEST['portfolioid'] );
        defined( 'JEG_CATEGORY' ) or define( 'JEG_CATEGORY', $_REQUEST['category'] );

        include JEG_PORTFOLIO_TEMPLATE_DIR . '/fragment/portfolio-single.php';
        exit;
    }
}
