<?php
/**
 * Jeg Portfolio - Customizer Option
 */

$options = [];

$options[] = [
	'id'    => 'jeg_portfolio_option[content_font_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Content Font', 'jeg-portfolio' ),
];

$options[] = [
	'id'          => 'jeg_portfolio_option[title_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Title Font', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio title font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .article-header h2, .portfolio-content .article-header h1, .portfolio-content .mainsidebar .article-header h2, .portfolio-content .mainsidebar .article-header h1, .portfolio-content .portfolio-content-wrapper h1, .portfolio-content .ptdescription h1',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[paragraph_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Paragraph Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio paragraph font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .article-content p, .portfolio-content .article-content li, .portfolio-content .portfolio-meta-description p, .portfolio-content .portfolio-meta-description li',
		],
	],
];

$options[] = [
	'id'    => 'jeg_portfolio_option[meta_font_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Meta Font', 'jeg-portfolio' ),
];

$options[] = [
	'id'          => 'jeg_portfolio_option[meta_title_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Meta Title Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio meta title font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .portfoliosidebarmeta li strong, .portfolio-content .portfolio-meta h2, .portfolio-content .portfolio-link>span',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[meta_description_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Meta Description Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio meta description font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .portfoliosidebarmeta li span, .portfolio-content .portfolio-meta-desc p, .portfolio-content .portfoliosidebarmeta li span a, .portfolio-content .portfolio-meta-desc p a, .portfolio-content .portfolio-link .slider-button .button-text',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[date_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Date Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio date font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .portfolio-date',
		],
	],
];

$options[] = [
	'id'    => 'jeg_portfolio_option[nav_font_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Navigation Font', 'jeg-portfolio' ),
];

$options[] = [
	'id'          => 'jeg_portfolio_option[nav_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Navigation Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio navigation font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .portfolionavbar .portfolionavtitle, .portfolio-content .headermenu .searchheader, .portfolio-content .closesearch',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[nav_bottom_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Navigation Bottom Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio navigation bottom font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .portfoliobottombar .portfolionavtitle, .portfolio-content .portfoliopagingwrapper .pagedot span, .portfolio-content .portfoliopagingwrapper .pagetext, .portfolio-content .blognormalpagingwrapper .pagetext, .portfolio-content .blognormalpagingwrapper .pagedot span, .portfolio-content .blogpagingwrapper .pagetext, .portfolio-content .blogpagingwrapper .pagedot span',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[nav_popup_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Navigation Pop Up Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio navigation pop up font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .popuptext',
		],
	],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[nav_icon_font]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Navigation Icon Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set navigation icon color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .ptnavigation .navicon, .portfolio-content .portfolionavlist .navicon',
            'property' => 'color',
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[nav_single_font]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Navigation Single Post Button Text Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set navigation single post button text color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .portfolio-single-nav .slider-button .button-text',
            'property' => 'color',
        ],
    ],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[slider_button_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Slider Button Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio slider button font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .slider-button .button-text',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[filter_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Filter Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio filter font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .portfoliofilter.active .portfoliofilterbutton, .blogfilter.active .blogfilterbutton, .portfolio-content .portfoliofilterbutton, .blogfilterbutton',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[filter_list_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Filter List Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio filter list font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .portfoliofilterlist li, .blogfilterlist li',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[search_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Search Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio search font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .headermenu .searchcontent input, .portfolio-content .headermenu .searchcontent input::placeholder',
		],
	],
];

$options[] = [
	'id'    => 'jeg_portfolio_option[share_font_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Share Option Font', 'jeg-portfolio' ),
];

$options[] = [
	'id'          => 'jeg_portfolio_option[share_title_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Share Title Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio share title font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .sharing-title h5',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[share_container_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Share Container Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio share container font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .share-container h2',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[share_text_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Share Text Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio share text font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .share-text',
		],
	],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[share_icon_font]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Share Icon Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set share icon color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .sharing-icon a',
            'property' => 'color',
		],
		[
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .sharing-icon a',
            'property' => 'border-color',
        ],
    ],
];

$options[] = [
	'id'    => 'jeg_portfolio_option[post_block_font_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Post Block Font', 'jeg-portfolio' ),
];

$options[] = [
	'id'          => 'jeg_portfolio_option[post_block_category_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Post Block Category Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio post block category font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .portfolioitem .info p, .portfolio-content .pinterestportfolio .portfolioitem .mask .info p',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[post_block_title_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Post Block Title Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio post block title font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .portfolioitem .info h2, .portfolio-content .pinterestportfolio .portfolioitem .mask .info p',
		],
	],
];

$options[] = [
	'id'    => 'jeg_portfolio_option[search_font_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Search Post Block Font', 'jeg-portfolio' ),
];

$options[] = [
	'id'          => 'jeg_portfolio_option[search_title_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Search Post Block Title Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio search title font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .article-masonry-wrapper h2 a, .portfolio-content .article-normal-wrapper h2 a, .portfolio-content .article-header h2, .portfolio-content .article-header h1',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[search_meta_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Search Post Block Meta Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio search meta font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .article-masonry-box .article-meta, .portfolio-content .blog-normal-article .meta-top',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[search_excerpt_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Search Post Block Excerpt Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio search excerpt font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .article-masonry-summary .post-excerpt, .portfolio-content .article-content p.post-excerpt',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[search_read_more_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Search Post Block Read More Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio search read more font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .blog-normal-article .readmore, .portfolio-content .article-masonry-summary .readmore',
		],
	],
];

$options[] = [
	'id'          => 'jeg_portfolio_option[search_accent_font]',
	'transport'   => 'postMessage',
	'type'        => 'jeg-typography',
	'label'       => esc_html__( 'Search Post Block Accent Font ', 'jeg-portfolio' ),
	'description' => esc_html__( 'Set portfolio search accent font.', 'jeg-portfolio' ),
	'option_type' => 'option',
	'default'     => [
		'font-family' => '',
		'variant'     => '',
		'font-size'   => '',
		'line-height' => '',
		'subsets'     => [],
		'color'       => '',
	],
	'output'      => [
		[
			'method'  => 'typography',
			'element' => '.portfolio-content .article-masonry-summary .readmore, .portfolio-content .article-masonry-box .article-meta a, .portfolio-content .blog-normal-article .meta-top a',
		],
	],
];

return $options;
