<?php
/**
 * Jeg Portfolio - Customizer Option
 */

$options = [];

$options[] = [
    'id'    => 'jeg_portfolio_option[override_container_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Override Container Width', 'jeg-portfolio' ),
];

$options[] = [
    'id'          => 'jeg_portfolio_option[override_container_width]',
    'option_type' => 'option',
    'transport'   => 'postMessage',
    'default'     => false,
    'type'        => 'jeg-toggle',
    'label'       => esc_html__( 'Override Container Width', 'jeg-portfolio' ),
    'description' => esc_html__( 'override container & content width for laptop or desktop', 'jeg-portfolio' ),
];

$options[] = [
    'id'              => 'jeg_portfolio_option[override_laptop_width]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Laptop Width', 'jeg-portfolio' ),
    'description'     => esc_html__( 'override container & content width for laptop', 'jeg-portfolio' ),
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_container_width]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[content_laptop_width]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '1024',
    'type'            => 'jeg-range-slider',
    'label'           => esc_html__( '[ Laptop ] Max Content Width ', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Content width on Laptop ( width less than 1440px )', 'jeg-portfolio' ),
    'choices'         => [
        'min'  => '500',
        'max'  => '1440',
        'step' => '1',
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_container_width]',
            'operator' => '==',
            'value'    => true,
        ],
        [
            'setting'  => 'jeg_portfolio_option[override_laptop_width]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
    'output'          => [
        [
            'mediaquery' => '@media only screen and (min-width: 1024px)',
            'method'     => 'inject-style',
            'element'    => '.portfolio-content .headermenu, .portfolio-content .portfoliowrapper, .portfolio-content .blog-masonry-wrapper, .portfolio-content .blognormalpaging, .portfolio-content .blogpagingholder, .portfolio-content .pagewrapper.normal_layout, .portfolio-content .portfolionavbar-wrapper',
            'property'   => 'max-width',
            'units'      => 'px',
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[override_desktop_width]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Desktop Width', 'jeg-portfolio' ),
    'description'     => esc_html__( 'override container & content width for desktop', 'jeg-portfolio' ),
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_container_width]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[content_desktop_width]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '500',
    'type'            => 'jeg-range-slider',
    'label'           => esc_html__( '[ Desktop ] Max Content Width', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Content width on Desktop ( width more than 1440px )', 'jeg-portfolio' ),
    'choices'         => [
        'min'  => '1440',
        'max'  => '2500',
        'step' => '1',
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_container_width]',
            'operator' => '==',
            'value'    => true,
        ],
        [
            'setting'  => 'jeg_portfolio_option[override_desktop_width]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
    'output'          => [
        [
            'mediaquery' => '@media only screen and (min-width : 1441px)',
            'method'     => 'inject-style',
            'element'    => '.portfolio-content .headermenu, .portfolio-content .portfoliowrapper, .portfolio-content .blog-masonry-wrapper, .portfolio-content .blognormalpaging, .portfolio-content .blogpagingholder, .portfolio-content .pagewrapper.normal_layout, .portfolio-content .portfolionavbar-wrapper',
            'property'   => 'max-width',
            'units'      => 'px',
        ],
    ],
];

$options[] = [
    'id'    => 'jeg_portfolio_option[override_content_background_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Content Background', 'jeg-portfolio' ),
];

$options[] = [
    'id'          => 'jeg_portfolio_option[override_content_background]',
    'option_type' => 'option',
    'transport'   => 'postMessage',
    'default'     => false,
    'type'        => 'jeg-toggle',
    'label'       => esc_html__( 'Override Content Background', 'jeg-portfolio' ),
    'description' => esc_html__( 'override content background with color or image', 'jeg-portfolio' ),
];

$options[] = [
    'id'              => 'jeg_portfolio_option[content_background_color]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Background Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set content background color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content.portfolio-wrapper, .portfolio-content .ptcontent-wrapper',
            'property' => 'background-color',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_content_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[content_background_gradient_enable]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Enable Gradient', 'jeg-portfolio' ),
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_content_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[content_background_gradient]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => [
        'degree'        => 90,
        'beginlocation' => 0,
        'endlocation'   => 100,
        'begincolor'    => "#dd3333",
        'endcolor'      => "#8224e3",
    ],
    'type'            => 'jeg-gradient',
    'label'           => esc_html__( 'Gradient Color', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'  => 'gradient',
            'element' => '.portfolio-content.portfolio-wrapper, .portfolio-content .ptcontent-wrapper',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_content_background]',
            'operator' => '==',
            'value'    => true,
        ],
        [
            'setting'  => 'jeg_portfolio_option[content_background_gradient_enable]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[content_background_image]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '',
    'type'            => 'jeg-image',
    'label'           => esc_html__( 'Background Image', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Upload your background image.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content.portfolio-wrapper, .portfolio-content .ptcontent-wrapper',
            'property' => 'background-image',
            'prefix'   => 'url("',
            'suffix'   => '")',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_content_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[content_background_repeat]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '',
    'type'            => 'jeg-select',
    'label'           => esc_html__( 'Background Repeat', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set background image repeat.', 'jeg-portfolio' ),
    'choices'         => [
        ''          => '',
        'repeat-x'  => esc_html__( 'Repeat Horizontal', 'jeg-portfolio' ),
        'repeat-y'  => esc_html__( 'Repeat Vertical', 'jeg-portfolio' ),
        'repeat'    => esc_html__( 'Repeat Image', 'jeg-portfolio' ),
        'no-repeat' => esc_html__( 'No Repeat', 'jeg-portfolio' ),
    ],
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content.portfolio-wrapper, .portfolio-content .ptcontent-wrapper',
            'property' => 'background-repeat',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[content_background_image]',
            'operator' => '!=',
            'value'    => '',
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[content_background_position]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '',
    'type'            => 'jeg-select',
    'label'           => esc_html__( 'Background Position', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set background image position.', 'jeg-portfolio' ),
    'choices'         => [
        ''              => '',
        'left left'     => esc_html__( 'Left Left', 'jeg-portfolio' ),
        'left center'   => esc_html__( 'Left Center', 'jeg-portfolio' ),
        'left right'    => esc_html__( 'Left Right', 'jeg-portfolio' ),
        'center left'   => esc_html__( 'Center Left', 'jeg-portfolio' ),
        'center center' => esc_html__( 'Center Center', 'jeg-portfolio' ),
        'center right'  => esc_html__( 'Center Right', 'jeg-portfolio' ),
        'right left'    => esc_html__( 'Right Left', 'jeg-portfolio' ),
        'right center'  => esc_html__( 'Right Center', 'jeg-portfolio' ),
        'right right'   => esc_html__( 'Right Right', 'jeg-portfolio' ),
    ],
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content.portfolio-wrapper, .portfolio-content .ptcontent-wrapper',
            'property' => 'background-position',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[content_background_image]',
            'operator' => '!=',
            'value'    => '',
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[content_background_fixed]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '',
    'type'            => 'jeg-select',
    'label'           => esc_html__( 'Attachment Background', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set background image attachment.', 'jeg-portfolio' ),
    'choices'         => [
        ''       => '',
        'fixed'  => esc_html__( 'Fixed', 'jeg-portfolio' ),
        'scroll' => esc_html__( 'Scroll', 'jeg-portfolio' ),
    ],
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content.portfolio-wrapper, .portfolio-content .ptcontent-wrapper',
            'property' => 'background-attachment',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[content_background_image]',
            'operator' => '!=',
            'value'    => '',
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[content_background_size]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => 'inherit',
    'type'            => 'jeg-select',
    'label'           => esc_html__( 'Background Size', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set background image size.', 'jeg-portfolio' ),
    'choices'         => [
        ''        => '',
        'cover'   => esc_html__( 'Cover', 'jeg-portfolio' ),
        'contain' => esc_html__( 'Contain', 'jeg-portfolio' ),
        'initial' => esc_html__( 'Initial', 'jeg-portfolio' ),
        'inherit' => esc_html__( 'Inherit', 'jeg-portfolio' ),
    ],
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content.portfolio-wrapper, .portfolio-content .ptcontent-wrapper',
            'property' => 'background-size',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[content_background_image]',
            'operator' => '!=',
            'value'    => '',
        ],
    ],
];

$options[] = [
    'id'    => 'jeg_portfolio_option[override_nav_background_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Navigation Background', 'jeg-portfolio' ),
];

$options[] = [
    'id'          => 'jeg_portfolio_option[override_nav_background]',
    'option_type' => 'option',
    'transport'   => 'postMessage',
    'default'     => false,
    'type'        => 'jeg-toggle',
    'label'       => esc_html__( 'Override Navigation Background', 'jeg-portfolio' ),
    'description' => esc_html__( 'override navigation background color', 'jeg-portfolio' ),
];

$options[] = [
    'id'              => 'jeg_portfolio_option[nav_background_color]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Background Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set navigation background color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .headermenu, .portfolio-content .portfoliopagingwrapper, .portfolio-content .portfolionavbar, .portfolio-content .portfoliobottombar, .portfolio-content.header-search, .portfolio-content.normal-blog .blognormalpaging.blogpagingholder, .portfolio-content.blog-pagination, .portfolio-content .ptnavigation, .portfolio-content .blogpagingwrapper',
            'property' => 'background-color',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_nav_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[nav_background_gradient_enable]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Enable Gradient', 'jeg-portfolio' ),
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_nav_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[nav_background_gradient]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => [
        'degree'        => 90,
        'beginlocation' => 0,
        'endlocation'   => 100,
        'begincolor'    => "#dd3333",
        'endcolor'      => "#8224e3",
    ],
    'type'            => 'jeg-gradient',
    'label'           => esc_html__( 'Gradient Color', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'  => 'gradient',
            'element' => '.portfolio-content .headermenu, .portfolio-content .portfoliopagingwrapper, .portfolio-content .portfolionavbar, .portfolio-content .portfoliobottombar, .portfolio-content.header-search, .portfolio-content.normal-blog .blognormalpaging.blogpagingholder, .portfolio-content.blog-pagination, .portfolio-content .ptnavigation, .portfolio-content .blogpagingwrapper',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_nav_background]',
            'operator' => '==',
            'value'    => true,
        ],
        [
            'setting'  => 'jeg_portfolio_option[nav_background_gradient_enable]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'    => 'jeg_portfolio_option[override_filter_background_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Filter Background', 'jeg-portfolio' ),
];

$options[] = [
    'id'          => 'jeg_portfolio_option[override_filter_background]',
    'option_type' => 'option',
    'transport'   => 'postMessage',
    'default'     => false,
    'type'        => 'jeg-toggle',
    'label'       => esc_html__( 'Override Filter Background', 'jeg-portfolio' ),
    'description' => esc_html__( 'override filter background color', 'jeg-portfolio' ),
];

$options[] = [
    'id'              => 'jeg_portfolio_option[filter_background_color]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Background Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set filter background color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .portfoliofilter.active .portfoliofilterbutton, .portfolio-content .portfoliofilterlist ul',
            'property' => 'background-color',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_filter_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[filter_background_gradient_enable]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Enable Gradient', 'jeg-portfolio' ),
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_filter_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[filter_background_gradient]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => [
        'degree'        => 90,
        'beginlocation' => 0,
        'endlocation'   => 100,
        'begincolor'    => "#dd3333",
        'endcolor'      => "#8224e3",
    ],
    'type'            => 'jeg-gradient',
    'label'           => esc_html__( 'Gradient Color', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'  => 'gradient',
            'element' => '.portfolio-content .portfoliofilter.active .portfoliofilterbutton, .portfolio-content .portfoliofilterlist ul',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_filter_background]',
            'operator' => '==',
            'value'    => true,
        ],
        [
            'setting'  => 'jeg_portfolio_option[filter_background_gradient_enable]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'    => 'jeg_portfolio_option[override_side_content_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Side Content Background', 'jeg-portfolio' ),
];

$options[] = [
    'id'          => 'jeg_portfolio_option[override_side_content]',
    'option_type' => 'option',
    'transport'   => 'postMessage',
    'default'     => false,
    'type'        => 'jeg-toggle',
    'label'       => esc_html__( 'Override Side Content Background', 'jeg-portfolio' ),
    'description' => esc_html__( 'override side content background color', 'jeg-portfolio' ),
];

$options[] = [
    'id'              => 'jeg_portfolio_option[side_content_color]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Background Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set side content background color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .coverwidth .blog-sidebar-content, .portfolio-content .ptdescription, .portfolio-content .portfolio-content-wrapper',
            'property' => 'background-color',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_side_content]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[side_content_gradient_enable]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Enable Gradient', 'jeg-portfolio' ),
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_side_content]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[side_content_gradient]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => [
        'degree'        => 90,
        'beginlocation' => 0,
        'endlocation'   => 100,
        'begincolor'    => "#dd3333",
        'endcolor'      => "#8224e3",
    ],
    'type'            => 'jeg-gradient',
    'label'           => esc_html__( 'Gradient Color', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'  => 'gradient',
            'element' => '.portfolio-content .coverwidth .blog-sidebar-content, .portfolio-content .ptdescription .portfolio-content-wrapper-inner, .portfolio-content .portfolio-content-wrapper-inner',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_side_content]',
            'operator' => '==',
            'value'    => true,
        ],
        [
            'setting'  => 'jeg_portfolio_option[side_content_gradient_enable]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'    => 'jeg_portfolio_option[override_post_block_background_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Post Block Background', 'jeg-portfolio' ),
];

$options[] = [
    'id'          => 'jeg_portfolio_option[override_post_block_background]',
    'option_type' => 'option',
    'transport'   => 'postMessage',
    'default'     => false,
    'type'        => 'jeg-toggle',
    'label'       => esc_html__( 'Override Post Block Background', 'jeg-portfolio' ),
    'description' => esc_html__( 'override post block background color', 'jeg-portfolio' ),
];

$options[] = [
    'id'              => 'jeg_portfolio_option[post_block_background_color]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Background Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set post block background color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .portfolioitem .mask, .portfolio-content .pinterestportfolio .portfolioitem .mask, .portfolio-content .mainpage.blog-normal-article .pageinnerwrapper, .portfolio-content .article-masonry-box',
            'property' => 'background-color',
        ],
        [
            'mediaquery' => '@media only screen and (max-width: 1024px)',
            'method'     => 'inject-style',
            'element'    => '.portfolio-content .portfolioitem .mask .info',
            'property'   => 'background-color',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_post_block_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[post_block_background_gradient_enable]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Enable Gradient', 'jeg-portfolio' ),
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_post_block_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[post_block_background_gradient]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => [
        'degree'        => 90,
        'beginlocation' => 0,
        'endlocation'   => 100,
        'begincolor'    => "#dd3333",
        'endcolor'      => "#8224e3",
    ],
    'type'            => 'jeg-gradient',
    'label'           => esc_html__( 'Gradient Color', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'  => 'gradient',
            'element' => '.portfolio-content .portfolioitem .mask, .portfolio-content .pinterestportfolio .portfolioitem .mask, .portfolio-content .mainpage.blog-normal-article .pageinnerwrapper, .portfolio-content .article-masonry-box',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_post_block_background]',
            'operator' => '==',
            'value'    => true,
        ],
        [
            'setting'  => 'jeg_portfolio_option[post_block_background_gradient_enable]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'    => 'jeg_portfolio_option[override_share_popup_background_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Share Pop Up Background', 'jeg-portfolio' ),
];

$options[] = [
    'id'          => 'jeg_portfolio_option[override_share_popup_background]',
    'option_type' => 'option',
    'transport'   => 'postMessage',
    'default'     => false,
    'type'        => 'jeg-toggle',
    'label'       => esc_html__( 'Override Share Pop Up Background', 'jeg-portfolio' ),
    'description' => esc_html__( 'override share pop up background color', 'jeg-portfolio' ),
];

$options[] = [
    'id'              => 'jeg_portfolio_option[share_popup_background_color]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Background Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set share pop up background color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .share-container',
            'property' => 'background-color',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_share_popup_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[share_popup_background_gradient_enable]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Enable Gradient', 'jeg-portfolio' ),
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_share_popup_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[share_popup_background_gradient]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => [
        'degree'        => 90,
        'beginlocation' => 0,
        'endlocation'   => 100,
        'begincolor'    => "#dd3333",
        'endcolor'      => "#8224e3",
    ],
    'type'            => 'jeg-gradient',
    'label'           => esc_html__( 'Gradient Color', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'  => 'gradient',
            'element' => '.portfolio-content .share-container',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_share_popup_background]',
            'operator' => '==',
            'value'    => true,
        ],
        [
            'setting'  => 'jeg_portfolio_option[share_popup_background_gradient_enable]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[share_popup_header_background_color]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Background Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set share pop up header background color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .share-container h2',
            'property' => 'background-color',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_share_popup_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[share_popup_header_background_gradient_enable]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Enable Gradient', 'jeg-portfolio' ),
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_share_popup_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[share_popup_header_background_gradient]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => [
        'degree'        => 90,
        'beginlocation' => 0,
        'endlocation'   => 100,
        'begincolor'    => "#dd3333",
        'endcolor'      => "#8224e3",
    ],
    'type'            => 'jeg-gradient',
    'label'           => esc_html__( 'Gradient Color', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'  => 'gradient',
            'element' => '.portfolio-content .share-container h2',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_share_popup_background]',
            'operator' => '==',
            'value'    => true,
        ],
        [
            'setting'  => 'jeg_portfolio_option[share_popup_header_background_gradient_enable]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[share_popup_overlay_background_color]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Background Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set share pop up overlay background color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .portfolio-share-overlay',
            'property' => 'background-color',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_share_popup_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[share_popup_overlay_background_gradient_enable]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Enable Gradient', 'jeg-portfolio' ),
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_share_popup_background]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'              => 'jeg_portfolio_option[share_popup_overlay_background_gradient]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => [
        'degree'        => 90,
        'beginlocation' => 0,
        'endlocation'   => 100,
        'begincolor'    => "#dd3333",
        'endcolor'      => "#8224e3",
    ],
    'type'            => 'jeg-gradient',
    'label'           => esc_html__( 'Gradient Color', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'  => 'gradient',
            'element' => '.portfolio-content .portfolio-share-overlay',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_share_popup_background]',
            'operator' => '==',
            'value'    => true,
        ],
        [
            'setting'  => 'jeg_portfolio_option[share_popup_overlay_background_gradient_enable]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

$options[] = [
    'id'    => 'jeg_portfolio_option[override_accent_color_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Accent Color', 'jeg-portfolio' ),
];

$options[] = [
    'id'          => 'jeg_portfolio_option[override_accent_color]',
    'option_type' => 'option',
    'transport'   => 'postMessage',
    'default'     => false,
    'type'        => 'jeg-toggle',
    'label'       => esc_html__( 'Override Accent Color', 'jeg-portfolio' ),
    'description' => esc_html__( 'override accent color', 'jeg-portfolio' ),
];

$options[] = [
    'id'              => 'jeg_portfolio_option[accent_color]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => '#ffffff',
    'type'            => 'jeg-color',
    'label'           => esc_html__( 'Accent Color', 'jeg-portfolio' ),
    'description'     => esc_html__( 'Set accent color.', 'jeg-portfolio' ),
    'output'          => [
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .portfolioitem .mask:before, .portfolio-content .pagedot li.active, .portfolio-content .blogpagingholder .pagedot>span, .portfolio-content .portfolio-link .slider-button, .portfolio-content .portfolio-single-nav .slider-button',
            'property' => 'border-color',
        ],
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .article-header h2:after, .portfolio-content .article-header h1:after, .portfolio-content .portfoliosidebarmeta ul:before, .portfolio-content .sharing-icons:before, .portfolio-content .sharing-icons:after, .portfolio-content .article-header h2:after, .portfolio-content .article-header h1:after',
            'property' => 'border-top-color',
        ],
        [
            'method'   => 'inject-style',
            'element'  => '.portfolio-content .portfolio-meta-line, .portfolio-content .portfolio-meta-line, .portfolio-content .portfolio-single-nav .slider-button:after',
            'property' => 'background-color',
        ],
    ],
    'active_callback' => [
        [
            'setting'  => 'jeg_portfolio_option[override_accent_color]',
            'operator' => '==',
            'value'    => true,
        ],
    ],
];

return $options;
