<h2>Import Dummy Data</h2>

<p>Before importing content, please read several notice for importing content. </p>
<div class="jpt-dummydata">
	<ul>
		<li>You can use dummy data to learn how this plugin work.</li>
		<li>Please make sure that your server able to do outbound request, we need to download image that used on
			demo.
		</li>
		<li>Using this import, you won't have double content of import content.</li>
		<li>Please wait until Process is finished. and please leave your browser open during import process. Closing
			Browser will stop the import process
		</li>
	</ul>
</div>


<?php
if ( function_exists( 'wordpress_importer_init' ) ) {?>
	<div class="disable-wp-importer"><strong>[IMPORTANT]</strong> Our Import Dummy Data will not work correctly when
		WordPress Importer enabled. Please disable WordPress Importer Plugin first.
	</div>
<?php } else {?>
	<form class="jpt-import-form" method="post">
		<input type="hidden" name="jpt-nonce" value="<?php echo wp_create_nonce( 'jpt-dummy-import' ); ?>"/>
		<input name="reset" class="jpt-dummydata-button" type="submit" value="Import Dummy Data"/>
		<input type="hidden" value="jpt-dummy-import" name="action"/>
	</form>
<?php }
?>


<style>
	.jpt-dummydata ul {
		margin-left: 20px;
	}

	.jpt-dummydata ul li, .jpt-demonotice ul li {
		list-style: disc;
	}

	.jpt-dummydata-button, .jpt-dummydata-button:hover {
		background: none repeat scroll 0 0 #2ea2cc;
		box-shadow: 0 1px 0 rgba(120, 200, 230, 0.5) inset, 0 1px 0 rgba(0, 0, 0, 0.15);
		color: #fff;
		text-decoration: none;
		height: 30px;
		line-height: 28px;
		margin: 0;
		padding: 0 12px;
		border-radius: 3px;
		border: 1px solid #0074a2;
		cursor: pointer;
		display: inline-block;
		font-size: 13px;
		white-space: nowrap;
	}

	.jpt-import-form {
		margin-bottom: 30px;
		margin-top: 30px;
	}

	.jpt-demonotice {
		background: none repeat scroll 0 0 #e5fafd;
		border: 1px solid #ccc;
		margin: 10px 10px 10px 0;
		padding: 5px 20px;
	}

	.jpt-demonotice > ul {
		padding-left: 20px;
	}

	.disable-wp-importer {
		background: none repeat scroll 0 0 #ddd;
		border: 2px solid;
		color: red;
		padding: 20px;
	}

	.import-notice {
		display: list-item;
		font-size: 14px;
		font-style: italic;
		font-weight: bold;
		margin-left: 20px;
	}
</style>
<?php

if ( ! function_exists( 'jpt_create_notice' ) ) {
	/**
	 * @param $notice
	 */
	function jpt_create_notice( $notice ) {
		echo "<div class='import-notice'>$notice</div><br/>";
	}
}

if ( ! function_exists( 'jpt_import_set_metadata' ) ) {
	/**
	 * Set parent after import
	 */
	function jpt_import_set_metadata( $map_id ) {
		$portfolio_post = get_posts( [
			'post_type'   => 'portfolio',
			'numberposts' => -1,
		] );

		foreach ( $portfolio_post as $post ) {
			$thumbnail_old = jeg_metabox( 'jpt_setting_metabox.image_cover', true, $post->ID );
			$parent_old    = jeg_metabox( 'jpt_setting_metabox.portfolio_parent', true, $post->ID );
			
			if ( isset( $map_id[ $thumbnail_old ] ) ) {
				jeg_portfolio_update_thumbnail_id( $post->ID, $map_id[ $thumbnail_old ] );
			}

			if ( isset( $map_id[ $parent_old ] ) ) {
				jeg_portfolio_update_parent_id( $post->ID, $map_id[ $parent_old ] );
			}
		}
	}
}

if ( isset( $_REQUEST['action'] ) && 'jpt-dummy-import' == $_REQUEST['action'] && check_admin_referer( 'jpt-dummy-import', 'jpt-nonce' ) ) {
	defined( 'WP_LOAD_IMPORTERS' ) or define( 'WP_LOAD_IMPORTERS', true );
	require_once ABSPATH . 'wp-admin/includes/import.php';
	$importer_error = false;
	$error_message  = '';

	if ( ! class_exists( 'WP_Importer' ) ) {
		$class_wp_importer = ABSPATH . 'wp-admin/includes/class-wp-importer.php';

		if ( file_exists( $class_wp_importer ) ) {
			require_once $class_wp_importer;
		} else {
			$importer_error = true;
			$error_message  = 'Error in import :(';
		}
	}

	if ( ! class_exists( 'WP_Import' ) ) {
		$class_wp_import = JEG_PORTFOLIO_DIR . 'importer/wordpress-importer.php';

		if ( file_exists( $class_wp_import ) ) {
			require_once $class_wp_import;
		} else {
			$importer_error = true;
			$error_message  = 'Need WordPress Importer to be installed.';
		}
	}

	if ( $importer_error ) {
		die( $error_message );
	} else {
		if ( ! is_file( JEG_PORTFOLIO_DIR . 'demo/demo.xml' ) ) {
			echo "The XML file containing the dummy content is not available or could not be read .. You might want to try to set the file permission to chmod 755.<br/>If this doesn't work please use the WordPress importer and import the XML file (should be located in your download .zip: Sample Content folder) manually ";
		} else {
			ob_start();
			$wp_import                    = new WP_Import();
			$wp_import->fetch_attachments = true;
			$wp_import->import( JEG_PORTFOLIO_DIR . 'demo/demo.xml' );
			ob_end_clean();
			jpt_import_set_metadata( $wp_import->processed_posts );
			jpt_create_notice( 'Finish Import Dummy Data' );
		}
	}
}
