<?php

/**
 * JEG Portfolio Class
 *
 * @author Jegtheme
 * @since 1.0.0
 * @package jeg-paywall-paypal
 */

namespace Jeg\Portfolio\Metaboxes;

use Jeg\Form\Form_Meta_Box;
use Jeg\Portfolio\Metaboxes\Metabox\Meta;
use Jeg\Portfolio\Metaboxes\Metabox\Media_Builder;
use Jeg\Portfolio\Metaboxes\Metabox\Single_Ajax_Setting;
use Jeg\Portfolio\Metaboxes\Metabox\Side_Content_Setting;
use Jeg\Portfolio\Metaboxes\Metabox\Another_Page_Setting;
use Jeg\Portfolio\Metaboxes\Metabox\Portfolio_Setting;
use Jeg\Portfolio\Metaboxes\Metabox\Portfolio_General_Option;
use Jeg\Portfolio\Metaboxes\Metabox\Portfolio_List_Option;


/**
 * Class Metaboxes
 *
 * @package Jeg\Portfolio\Metaboxes
 */
class Metaboxes {
	/**
	 * @var Metaboxes
	 */
	private static $instance;

	/**
	 * Metaboxes constructor.
	 */
	public function __construct() {
		$this->setup_init();
	}

	/**
	 * Setup Classes
	 */
	private function setup_init() {
		Meta::instance();
		Media_Builder::instance();
		Single_Ajax_Setting::instance();
		Side_Content_Setting::instance();
		Another_Page_Setting::instance();
		Portfolio_Setting::instance();
		Portfolio_General_Option::instance();
		Portfolio_List_Option::instance();
	}

	/**
	 * @return Metaboxes
	 */
	public static function instance() {
		if ( null === static::$instance ) {
			static::$instance = new static();
		}

		return static::$instance;
	}
}
