<?php

$mediagallery   = jeg_metabox( 'jpt_media_builder_metabox.portfolio_media_builder', true, JEG_PAGE_ID );
$gallerylayout  = jeg_metabox( 'jpt_side_content_setting_metabox.gallery_type', 'normal', JEG_PAGE_ID );
$itemwidthbase  = jeg_metabox( 'jpt_side_content_setting_metabox.item_width', '400', JEG_PAGE_ID );
$itemheightdim  = null;
$itemheightbase = '';

if ( 'normal' === $gallerylayout ) {
    $itemheightdim  = floatval( jeg_metabox( 'jpt_side_content_setting_metabox.item_height', '1', JEG_PAGE_ID ) );
    $itemheightbase = $itemheightdim * $itemwidthbase;
} elseif ( 'justified' === $gallerylayout ) {
    $itemheightbase = floatval( jeg_metabox( 'jpt_side_content_setting_metabox.justified_item_height', '250', JEG_PAGE_ID ) );
}

$usemargin      = jeg_metabox( 'jpt_side_content_setting_metabox.use_margin', false, JEG_PAGE_ID );
$marginsize     = 0;
$althidetitle   = jeg_metabox( 'jpt_side_content_setting_metabox.photoswipe_hide_title', false, JEG_PAGE_ID );
$notloadedclass = 'notloaded';

if ( $usemargin ) {
    $marginsize            = jeg_metabox( 'jpt_side_content_setting_metabox.margin_size', '5', JEG_PAGE_ID );
    $additionalmarginclass = 'marginimg';
}

$limitload = intval( jeg_metabox( 'jpt_side_content_setting_metabox.load_limit', '7', JEG_PAGE_ID ) );

if ( 0 < count( $mediagallery ) ) {
    $bottomlimit = JEG_GALLERY_PAGE * $limitload;
    $uplimit     = ( JEG_GALLERY_PAGE + 1 ) * $limitload;

    for ( $key = $bottomlimit; $key < $uplimit; $key++ ) {
        if ( ! isset( $mediagallery[$key] ) ) {
            continue;
        }

        $value = $mediagallery[$key];

        // calculate width & height cover
        if ( 'normal' === $gallerylayout || 'masonry' === $gallerylayout ) {
            $itw = $itemwidthbase * floatval( $value['thumb_width'] ) * 1.5;

            $ith = null;
            if ( null !== $gallerylayout ) {
                if ( is_numeric( $value['thumb_height'] ) ) {
                    $ith = $itemheightbase * floatval( $value['thumb_height'] ) * 1.5;
                }
            }
        } elseif ( 'justified' === $gallerylayout ) {
            $itw = null;
            $ith = $itemheightbase * 1.5;
        }

        $value['thumb_height'] = floatval( $value['thumb_height'] );
        $value['thumb_width']  = floatval( $value['thumb_width'] );

        if ( 'image' === $value['media_type'] ) {
            $image     = is_numeric( $value['media_image'] ) ? jeg_portfolio_get_image_attachment_full( $value['media_image'] ) : $value['media_image'];
            $thumbnail = apply_filters( 'jeg_image_resizer', $image, $itw, $ith );

            if ( ! $althidetitle ) {
                $imgname = $value['media_title'];
            } else {
                $imgname = '';
            }

            $galleryoverlay = "<div class='galoverlay'></div>";

            echo "<div class='imggalitem {$notloadedclass}' data-width='{$value['thumb_width']}' data-height='{$value['thumb_height']}' style='padding: {$marginsize}px;'>
                <a href='{$image}' data-type='image' style='margin: 0px;' title='{$imgname}'>
                    <img src='{$thumbnail}' alt='{$value['media_title']}'>
                    {$galleryoverlay}
                </a>
            </div>";
        } elseif ( 'youtube' === $value['media_type'] || 'vimeo' === $value['media_type'] || 'soundcloud' === $value['media_type'] ) {
            $image     = is_numeric( $value['image_cover'] ) ? jeg_portfolio_get_image_attachment_full( $value['image_cover'] ) : $value['image_cover'];
            $thumbnail = apply_filters( 'jeg_image_resizer', $image, $itw, $ith );
            $videoname = $value['media_title'];

            $videooverlay = "<div class='videooverlay'></div>";

            echo "<div class='imggalitem {$notloadedclass}'  data-width='{$value['thumb_width']}' data-height='{$value['thumb_height']}' style='padding: {$marginsize}px;'>
                <a href='{$value['media_url']}' data-type='{$value['media_type']}-gallery' style='margin: 0px;' title='{$videoname}'>
                    <img src='{$thumbnail}' alt=''>
                    {$videooverlay}
                </a>
            </div>";
        } elseif ( 'html5video' === $value['media_type'] ) {
            $image     = is_numeric( $value['image_cover'] ) ? jeg_portfolio_get_image_attachment_full( $value['image_cover'] ) : $value['image_cover'];
            $thumbnail = apply_filters( 'jeg_image_resizer', $image, $itw, $ith );
            $videoname = $value['media_title'];

            $videomp4  = '';
            $videowebm = '';
            $videoogg  = '';

            if ( '' !== $value['video_mp4'] ) {
                $videomp4 = "<source type='video/mp4' src='{$value['video_mp4']}' />";
            }

            if ( '' !== $value['video_webm'] ) {
                $videowebm = "<source type='video/webm' src='{$value['video_webm']}' />";
            }

            if ( '' !== $value['video_ogg'] ) {
                $videoogg = "<source type='video/ogg' src='{$value['video_ogg']}' />";
            }

            $html5video =
                "<video id='player' poster='{$image}' controls='controls' preload='none'>
					{$videomp4}
					{$videoogg}
					{$videowebm}
					<object width='100%' height='100%' type='application/x-shockwave-flash'>
						<param name='movie'/>
						<param name='flashvars' value='controls=true&amp;file={$videomp4}' />
						<img src='{$image}' alt='No video playback capabilities' title='No video playback capabilities' />
					</object>
				</video>";

            $videooverlay = "<div class='videooverlay'></div>";

            $uniqueid = uniqid();
            echo "<div class='imggalitem {$notloadedclass}' data-width='{$value['thumb_width']}' data-height='{$value['thumb_height']}' style='padding: {$marginsize}px;'>
                    <a href='#html5popup" . $uniqueid . "' data-type='{$value['media_type']}' style='margin: 0px;' title='{$videoname}'>
                        <img src='{$thumbnail}' alt=''>
                        {$videooverlay}
                    </a>
                    <div id='html5popup" . $uniqueid . "' class='html5popup-wrapper mfp-hide'>
                        <div class='mfp-html5video-scaler'>
                            {$html5video}
                        </div>
                    </div>
                </div>";
        }
    }
}
