<?php
get_header();

if ( ! post_password_required() ) {
	global $post;
	the_post();

	$coverpage          = jeg_portfolio_get_image_attachment_full( jeg_metabox( 'jpt_setting_metabox.image_cover', '', $post->ID ) );
	$override_laptop    = jeg_portfolio_get_option( 'override_laptop_width', false ) ? 'override-laptop' : '';
	$override_desktop   = jeg_portfolio_get_option( 'override_desktop_width', false ) ? 'override-desktop' : '';
	?>
	<div class="portfolio-content portfolio-wrapper">
		<div class="portfoliocontent">
			<div class="portfoliocontentwrapper">
				<div class="portfolionavbar">
					<div class="portfolionavbar-wrapper">
					<div class="portfolionavtitle <?php echo $override_laptop; echo ' '; echo $override_desktop ?>"><?php the_title(); ?></div>
						<div class="portfolionavlist ppopup">
							<ul>
								<li class="portfoliolove" data-title="<?php esc_attr( the_title() ); ?>"
									data-cover="<?php echo esc_attr( $coverpage ); ?>"
									data-url="<?php echo esc_attr( get_permalink( $post->ID ) ); ?>">
									<a href="#">
										<div class="navicon"></div>
									</a>
									<div class="portfoliopopup">
										<div class="popuparrow"></div>
										<div class="popuptext"><?php esc_html_e( 'Share this portfolio', 'jeg-portfolio' ); ?></div>
									</div>
								</li>
								<?php
								$filter = isset( $_REQUEST['filter'] ) ? $_REQUEST['filter'] : '';

								$currentparentid = jeg_metabox( 'jpt_setting_metabox.portfolio_parent', null, $post->ID );
								$currentlink     = get_permalink( $currentparentid );

								$prevlink     = portfolio_next_prev( $currentparentid, $post->ID, 'prev', $filter );
								$prevpagelink = get_permalink( $prevlink );

								if ( $filter !== '' ) {
									$prevpagelink .= '?filter=' . $filter;
								}

								$nextlink     = portfolio_next_prev( $currentparentid, $post->ID, 'next', $filter );
								$nextpagelink = get_permalink( $nextlink );

								if ( $filter !== '' ) {
									$nextpagelink .= '?filter=' . $filter;
								}
								?>
								<li class="portfolioprev">
									<a href="<?php echo esc_url( $prevpagelink ); ?>">
										<div class="navicon"></div>
									</a>
									<div class="portfoliopopup">
										<div class="popuparrow"></div>
										<div class="popuptext"><?php esc_html_e( 'Previous Portfolio', 'jeg-portfolio' ); ?></div>
									</div>
								</li>
								<li class="portfolionext">
									<a href="<?php echo esc_url( $nextpagelink ); ?>">
										<div class="navicon"></div>
									</a>
									<div class="portfoliopopup">
										<div class="popuparrow"></div>
										<div class="popuptext"><?php esc_html_e( 'Next Portfolio', 'jeg-portfolio' ); ?></div>
									</div>
								</li>
								<li class="portfolioinfo">
									<a href="#">
										<div class="navicon"></div>
									</a>
									<div class="portfoliopopup">
										<div class="popuparrow"></div>
										<div class="popuptext"><?php esc_html_e( 'Portfolio Detail', 'jeg-portfolio' ); ?></div>
									</div>
								</li>
								<li class="portfoliozoom">
									<a href="#">
										<div class="navicon"></div>
									</a>
									<div class="portfoliopopup">
										<div class="popuparrow"></div>
										<div class="popuptext"><?php esc_html_e( 'Change Portfolio Zoom', 'jeg-portfolio' ); ?></div>
									</div>
								</li>
								<li class="portfolioclose">
									<a href="<?php echo esc_url( $currentlink ); ?>">
										<div class="navicon"></div>
									</a>
									<div class="portfoliopopup">
										<div class="popuparrow"></div>
										<div class="popuptext"><?php esc_html_e( 'Portfolio List', 'jeg-portfolio' ); ?></div>
									</div>
								</li>
								<li class="portfoliovideoclose">
									<a href="#">
										<div class="navicon"></div>
									</a>
									<div class="portfoliopopup">
										<div class="popuparrow"></div>
										<div class="popuptext"><?php esc_html_e( 'Close Video', 'jeg-portfolio' ); ?></div>
									</div>
								</li>
							</ul>
						</div>
					</div>
				</div>

				<div class="portfolioholder">
					<div class="portfolioholderwrap">

						<div class="portfolio-content-slider">
							<div class="portfolio-slider-holder">
								<div class="slider sliderhold">
									<?php echo jeg_portfolio_featured_heading( $post->ID ); ?>
								</div>

								<div class="portfolio-navigation">
									<div class="pt-next portfolionavnext portfolionavprevnext">
										<span class="pt-bgarrow"></span>
										<div class="pt-next-bg pt-next-prev-bg"></div>
									</div>
									<div class="pt-prev portfolionavprev portfolionavprevnext">
										<span class="pt-bgarrow"></span>
										<div class="pt-prev-bg pt-next-prev-bg"></div>
									</div>
								</div>
							</div>
						</div>
						<div class="portfolio-content-wrapper">
							<div class="portfolio-content-wrapper-inner">

								<h1><?php the_title(); ?></h1>
								<span class="portfolio-date"><?php echo get_the_date(); ?></span>
								<span class="portfolio-meta-line" style=""></span>
								<div class="portfolio-meta-description">
									<?php the_content(); ?>
								</div>
								<span class="portfolio-meta-line" style=""></span>

								<?php
								$portfoliometa = jeg_metabox( 'jpt_meta_metabox.portfolio_meta', [], $post->ID );
								foreach ( $portfoliometa as $meta ) :
									if ( empty( $meta['meta_content_url'] ) ) {
										echo "<div class='portfolio-meta nopadding'>
                                            <h2>" . esc_html( $meta['meta_title'] ) . "</h2>
                                            <div class='portfolio-meta-desc'>
                                                <p>" . esc_html( $meta['meta_content'] ) . '</p>
                                            </div>
                                        </div>';
									} else {
										echo "<div class='portfolio-meta nopadding'>
                                            <h2>" . esc_html( $meta['meta_title'] ) . "</h2>
                                            <div class='portfolio-meta-desc'>
                                                <p><a target='_blank' href='" . esc_url( $meta['meta_content_url'] ) . "'> " . esc_html( $meta['meta_content'] ) . ' </a></p>
                                            </div>
                                        </div>';
									}

								endforeach;
								?>

								<?php
								$enable_project_link = jeg_metabox( 'jpt_meta_metabox.enable_project_link', false, $post->ID );
								if ( $enable_project_link ) {
									$project_link = jeg_metabox( 'jpt_meta_metabox.project_link', [], $post->ID );
									?> <span class="portfolio-meta-line" style=""></span> <?php
									foreach ( $project_link as $link ) {
										$metatitle    = isset( $link ) ? $link['title'] : '';
										$metacontent  = isset( $link ) ? $link['content'] : '';
										$metaurl      = isset( $link ) ? $link['url'] : '';
										?>
										<div class="portfolio-link">
											<span><?php echo esc_html( $metatitle ); ?></span>
											<a class="slider-button" target="_blank"
											href="<?php echo esc_url( $metaurl ); ?>">
												<span class="button-text"><?php echo esc_html( $metacontent ); ?></span>
											</a>
										</div>
										<?php	
									}
								}
								?>
							</div>
						</div>
					</div>
				</div>

				<?php if ( ! jeg_metabox( 'jpt_single_ajax_setting_metabox.hide_single_image_title', false, $post->ID ) ) { ?>
					<div class="portfoliobottombar">
						<div class="portfolionavtitle"></div>
					</div>
				<?php } ?>
			</div>

			<div class="portfolio-share-overlay">
				<div class="share-container">
					<div class="share-close"></div>
					<div class="share-header">
						<h2><?php esc_html_e( 'Share Our Portfolio', 'jeg-portfolio' ); ?></h2>
					</div>
					<?php do_action( 'portfolio_share' ); ?>
				</div>
			</div>
		</div>
	</div>
	<div class="portfolioloader bigloader"></div>

	<script>
		(function ($) {
			$(document).on('ready', function (e, data) {
				$(".portfoliocontent").jportfoliosingle({
					ajaxurl: '<?php echo esc_url( admin_url( 'admin-ajax.php' ) ); ?>',
					imgfsmode: '<?php echo esc_js( jeg_metabox( 'jpt_single_ajax_setting_metabox.image_scale_method', 'fit', $post->ID ) ); ?>'
				});
			});
		})(jQuery);
	</script>

	<?php
} else {
	include JEG_PORTFOLIO_TEMPLATE_DIR . '/fragment/password-form.php';
}

get_footer();
?>
