<?php
get_header();

if ( ! post_password_required() ) {
	the_post();
	?>
	<?php
	defined( 'JEG_GALLERY_PAGE' ) or define( 'JEG_GALLERY_PAGE', 0 );
	$usemargin             = jeg_metabox( 'jpt_side_content_setting_metabox.use_margin', false, JEG_PAGE_ID );
	$marginsize            = 0;
	$additionalmarginclass = '';

	$mediagallery = jeg_metabox( 'jpt_media_builder_metabox.portfolio_media_builder', [], JEG_PAGE_ID );
	$limitload    = jeg_metabox( 'jpt_side_content_setting_metabox.load_limit', '7', JEG_PAGE_ID );

	$useisotope    = 'isotopewrapper';
	$gallerylayout = jeg_metabox( 'jpt_side_content_setting_metabox.gallery_type', 'normal', JEG_PAGE_ID );

	$switchposition = '';

	if ( jeg_metabox( 'jpt_side_content_setting_metabox.switch_position', false, JEG_PAGE_ID ) ) {
		$switchposition = 'left-media-content';
	}

	$additionalmarginclass = 'nomargin';

	if ( $usemargin ) {
		$marginsize            = jeg_metabox( 'jpt_side_content_setting_metabox.margin_size', '5', JEG_PAGE_ID );
		$paddingsize           = 1 * $marginsize;
		$additionalmarginclass = 'marginimg';
	}
	?>
	<div class="portfolio-content portfolio-wrapper">
		<div class="pagewrapper coverwidth <?php echo esc_attr( $gallerylayout ); ?>_layout sidecontent">
			<div class="pageholder row-fluid <?php echo esc_attr( $switchposition ); ?>">
				<div class="pageholdwrapper">
					<div class="mainpage blog-normal-article span8">
						<div class="imagelist-wrapper <?php echo esc_attr( $additionalmarginclass ); ?>">
							<div class="imagelist-content-wrapper"
									style="padding :0; margin: -<?php echo esc_attr( $marginsize ); ?>px; margin-bottom: 10px;">
								<div class="<?php echo esc_attr( $useisotope ); ?>">
									<?php include JEG_PORTFOLIO_TEMPLATE_DIR . '/fragment/media-gallery-portfolio.php'; ?>
								</div>
							</div>
						</div>
						<div class="galleryloadmore">
							<div class="galleryloaderinner"></div>
						</div>
						<div class="portfolioloader bigloader"></div>
					</div>
				</div>

				<div class="mainsidebar">
					<div class="mainsidebar-wrapper">
						<div class="blog-sidebar">
							<div class="blog-sidebar-content">
								<div class="article-header">
									<h2><?php the_title(); ?> </h2>
								</div> <!-- article header -->

								<div class="article-content">
									<?php the_content(); ?>
								</div> <!-- article content -->

								<div class="portfoliosidebarmeta withcontent">
									<ul>
										<?php
										$portfoliometa = jeg_metabox( 'jpt_meta_metabox.portfolio_meta', [], JEG_PAGE_ID );
										foreach ( $portfoliometa as $meta ) :
											if ( empty( $meta['meta_content_url'] ) ) {
												echo '<li><strong>' . esc_html( $meta['meta_title'] ) . ' : </strong>  <span> ' . esc_html( $meta['meta_content'] ) . ' </span></li>';
											} else {
												echo '<li><strong>' . esc_html( $meta['meta_title'] ) . " : </strong>  <span> <a target='_blank' href='" . esc_url( $meta['meta_content_url'] ) . "'> " . esc_html( $meta['meta_content'] ) . ' </a> </span></li>';
											}
										endforeach;

										$enable_project_link = jeg_metabox( 'jpt_meta_metabox.enable_project_link', false, JEG_PAGE_ID );
										if ( $enable_project_link ) {
											$project_link = jeg_metabox( 'jpt_meta_metabox.project_link', [], JEG_PAGE_ID );
											foreach ( $project_link as $link ) {
												$metatitle    = isset( $link ) ? $link['title'] : '';
												$metacontent  = isset( $link ) ? $link['content'] : '';
												$metaurl      = isset( $link ) ? $link['url'] : '';
												echo '<li><strong> ' . esc_html( $metatitle ) . ": </strong>  <span> <a target='_blank' href='" . esc_url( $metaurl ) . "'> " . esc_html( $metacontent ) . ' </a> </span></li>';
											}
										}
										?>
									</ul>
								</div>
								<?php
								$filter = isset( $_REQUEST['filter'] ) ? $_REQUEST['filter'] : '';

								$currentparentid = jeg_metabox( 'jpt_setting_metabox.portfolio_parent', null, JEG_PAGE_ID );
								$currentlink     = get_permalink( $currentparentid );

								$prevlink     = portfolio_next_prev( $currentparentid, JEG_PAGE_ID, 'prev', $filter );
								$prevpagelink = get_permalink( $prevlink );

								if ( $filter !== '' ) {
									$prevpagelink .= '?filter=' . $filter;
								}

								$nextlink     = portfolio_next_prev( $currentparentid, JEG_PAGE_ID, 'next', $filter );
								$nextpagelink = get_permalink( $nextlink );

								if ( $filter !== '' ) {
									$nextpagelink .= '?filter=' . $filter;
								}

								?>
								<div class="portfolio-single-nav">
									<a class="slider-button" href="<?php echo esc_url( $prevpagelink ); ?>">
										<span class="button-text"><i
													class="fa fa-angle-left singlenavicon"></i><?php esc_html_e( 'prev', 'jeg-portfolio' ); ?></span>
									</a>
									<a class="slider-button" href="<?php echo esc_url( $currentlink ); ?>">
										<span class="button-text"><i
													class="fa fa-bars singlenavicon"></i> <?php esc_html_e( 'list', 'jeg-portfolio' ); ?></span>
									</a>
									<a class="slider-button" href="<?php echo esc_url( $nextpagelink ); ?>">
										<span class="button-text"> <i
													class="fa fa-angle-right singlenavicon right"></i><?php esc_html_e( 'next', 'jeg-portfolio' ); ?></span>
									</a>
								</div>


								<?php include JEG_PORTFOLIO_TEMPLATE_DIR . '/fragment/post-share.php'; ?>


								<div class="clearfix"></div>
								<?php comments_template(); ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<script>
		(function ($) {
			$(document).on('ready', function (e, data) {
				$(".pageholder").jnormalblog();

				$(".imagelist-wrapper").jimggallery({
					ajaxurl: '<?php echo esc_url( admin_url( 'admin-ajax.php' ) ); ?>',
					pageid: <?php echo esc_js( get_the_ID() ); ?>,
					totalpage: <?php echo esc_js( floor( count( $mediagallery ) / $limitload ) + 1 ); ?>,
					loadcount: <?php echo esc_js( jeg_metabox( 'jpt_side_content_setting_metabox.load_limit', '7', JEG_PAGE_ID ) ); ?>,
					dimension: <?php echo esc_js( jeg_metabox( 'jpt_side_content_setting_metabox.item_height', '1', JEG_PAGE_ID ) ); ?>,
					tiletype: "<?php echo esc_js( jeg_metabox( 'jpt_side_content_setting_metabox.gallery_type', 'normal', JEG_PAGE_ID ) ); ?>",
					justifiedheight: <?php echo esc_js( jeg_metabox( 'jpt_side_content_setting_metabox.justified_item_height', '250', JEG_PAGE_ID ) ); ?>,
					loadAnimation: "<?php echo esc_js( jeg_metabox( 'jpt_side_content_setting_metabox.load_animation', 'randomfade', JEG_PAGE_ID ) ); ?>",
					gallerysize: <?php echo esc_js( jeg_metabox( 'jpt_side_content_setting_metabox.item_width', '400', JEG_PAGE_ID ) ); ?>,
					galleryexpand: "<?php echo esc_js( jeg_metabox( 'jpt_side_content_setting_metabox.expand_mode', 'magnific', JEG_PAGE_ID ) ); ?>",
					action: 'get_gallery_pagemore_portfolio',
					margin: '<?php echo esc_js( $marginsize ); ?>'
				});
			});
		})(jQuery);
	</script>
	<?php
} else {
	include JEG_PORTFOLIO_TEMPLATE_DIR . '/fragment/password-form.php';
}

get_footer();
?>
