<?php
$query = new WP_Query(
	[
		'post_type' => 'portfolio',
		'p'         => JEG_PORTFOLIO_POST_ID,
	]
);

if ( $query->have_posts() ) :
	$query->the_post();

	$post       = get_post( JEG_PORTFOLIO_POST_ID );
	$expandtype = jeg_metabox( 'jpt_single_ajax_setting_metabox.image_scale_method', 'zoom', JEG_PORTFOLIO_POST_ID );

	$coverpage = jeg_portfolio_get_image_attachment_full( get_post_meta( JEG_PORTFOLIO_POST_ID, 'coverimage', true ) );
	?>
	<div class="portfoliocontent portfoliowrapper" data-expand="<?php echo esc_html( $expandtype ); ?>"
		 data-hide-title="<?php echo jeg_metabox( 'jpt_single_ajax_setting_metabox.hide_single_image_title', false, JEG_PORTFOLIO_POST_ID ); ?>">
		<div class="portfoliocontentwrapper" data-expand="<?php echo esc_html( $expandtype ); ?>"
		 	data-hide-title="<?php echo jeg_metabox( 'jpt_single_ajax_setting_metabox.hide_single_image_title', false, JEG_PORTFOLIO_POST_ID ); ?>">
			<div class="portfolionavbar">
				<div class="portfolionavtitle"><?php echo the_title(); ?></div>
				<div class="portfolionavlist ppopup">
					<ul>
						<li class="portfoliolove" data-title="<?php the_title(); ?>"
							data-cover="<?php echo esc_attr( $coverpage ); ?>"
							data-url="<?php echo esc_url( get_permalink( JEG_PORTFOLIO_POST_ID ) ); ?>">
							<a href="#">
								<div class="navicon"></div>
							</a>
							<div class="portfoliopopup">
								<div class="popuparrow"></div>
								<div
									class="popuptext"><?php esc_html_e( 'Share this portfolio', 'jeg-portfolio' ); ?></div>
							</div>
						</li>
						<?php
						$currentparentid = get_post_meta( JEG_PORTFOLIO_POST_ID, 'portfolio_parent', true );
						$currentlink     = get_permalink( $currentparentid );

						$prevlink     = jeg_next_prev_portfolio( $currentparentid, JEG_PORTFOLIO_POST_ID, 'prev', JEG_CATEGORY );
						$prevtype     = jeg_metabox( 'jpt_setting_metabox.portfolio_layout', 'ajax_portfolio', $prevlink );
						$prevpagelink = get_permalink( $prevlink );
						if ( JEG_CATEGORY !== '' ) {
							$prevpagelink .= '?filter=' . JEG_CATEGORY;
						}

						$nextlink     = jeg_next_prev_portfolio( $currentparentid, JEG_PORTFOLIO_POST_ID, 'next', JEG_CATEGORY );
						$nexttype     = jeg_metabox( 'jpt_setting_metabox.portfolio_layout', 'ajax_portfolio', $nextlink );
						$nextpagelink = get_permalink( $nextlink );
						if ( JEG_CATEGORY !== '' ) {
							$nextpagelink .= '?filter=' . JEG_CATEGORY;
						}
						?>
						<li class="portfolioprev">
							<a href="<?php echo esc_url( $prevpagelink ); ?>"
							   data-type="<?php echo esc_attr( $prevtype ); ?>"
							   data-id="<?php echo esc_attr( $prevlink ); ?>">
								<div class="navicon"></div>
							</a>
							<div class="portfoliopopup">
								<div class="popuparrow"></div>
								<div
									class="popuptext"><?php esc_html_e( 'Previous Portfolio', 'jeg-portfolio' ); ?></div>
							</div>
						</li>
						<li class="portfolionext">
							<a href="<?php echo esc_url( $nextpagelink ); ?>"
							   data-type="<?php echo esc_attr( $nexttype ); ?>"
							   data-id="<?php echo esc_attr( $nextlink ); ?>">
								<div class="navicon"></div>
							</a>
							<div class="portfoliopopup">
								<div class="popuparrow"></div>
								<div class="popuptext"><?php esc_html_e( 'Next Portfolio', 'jeg-portfolio' ); ?></div>
							</div>
						</li>
						<li class="portfolioinfo">
							<a href="#">
								<div class="navicon"></div>
							</a>
							<div class="portfoliopopup">
								<div class="popuparrow"></div>
								<div class="popuptext"><?php esc_html_e( 'Portfolio Detail', 'jeg-portfolio' ); ?></div>
							</div>
						</li>
						<li class="portfoliozoom">
							<a href="#">
								<div class="navicon"></div>
							</a>
							<div class="portfoliopopup">
								<div class="popuparrow"></div>
								<div
									class="popuptext"><?php esc_html_e( 'Change Portfolio Zoom', 'jeg-portfolio' ); ?></div>
							</div>
						</li>
						<li class="portfolioclose">
							<a href="<?php echo esc_url( $currentlink ); ?>">
								<div class="navicon"></div>
							</a>
							<div class="portfoliopopup">
								<div class="popuparrow"></div>
								<div class="popuptext"><?php esc_html_e( 'Portfolio List', 'jeg-portfolio' ); ?></div>
							</div>
						</li>
						<li class="portfoliovideoclose">
							<a href="#">
								<div class="navicon"></div>
							</a>
							<div class="portfoliopopup">
								<div class="popuparrow"></div>
								<div class="popuptext"><?php esc_html_e( 'Close Video', 'jeg-portfolio' ); ?></div>
							</div>
						</li>
					</ul>
				</div>
			</div>

			<div class="portfolioholder">
				<div class="portfolioholderwrap">

					<?php if ( ! empty( $post->post_password ) && empty( $_REQUEST['password'] ) ) { ?>
						<div class="portfolio-password-overlay">
							<div class="portfolio-passsword">
								<div class="portfolio-form">
									<div class="portfolio-form-header">
										<h2><?php esc_html_e( 'Enter Your Password', 'jeg-portfolio' ); ?></h2>
									</div>
									<div class="portfolio-form-body">
										<input type="hidden" name="url"
											   value="<?php echo esc_attr( get_permalink( JEG_PORTFOLIO_POST_ID ) ); ?>">
										<input type="hidden" name="portfolioid"
											   value="<?php echo esc_attr( JEG_PORTFOLIO_POST_ID ); ?>">
										<input type="password"
											   placeholder="<?php esc_attr_e( 'Password', 'jeg-portfolio' ); ?>"
											   name="password">
										<div>
											<a href="#" class="slider-button">
												<span
													class="button-text"><?php esc_html_e( 'Submit', 'jeg-portfolio' ); ?></span>
											</a>
										</div>
									</div>
								</div>
							</div>
						</div>
					<?php } elseif ( ! empty( $post->post_password ) && ( $_REQUEST['password'] != $post->post_password ) ) { ?>
						<div class="portfolio-password-overlay">
							<div class="portfolio-passsword">
								<div class="portfolio-form">
									<div class="portfolio-form-header">
										<h2><?php esc_html_e( 'Wrong Password', 'jeg-portfolio' ); ?></h2>
									</div>
									<div class="portfolio-form-body">
										<input type="hidden" name="url"
											   value="<?php echo esc_attr( get_permalink( JEG_PORTFOLIO_POST_ID ) ); ?>">
										<input type="hidden" name="portfolioid"
											   value="<?php echo esc_attr( JEG_PORTFOLIO_POST_ID ); ?>">
										<input type="password"
											   placeholder="<?php esc_attr_e( 'Password', 'jeg-portfolio' ); ?>"
											   name="password">
										<div>
											<a href="#" class="slider-button">
												<span
													class="button-text"><?php esc_html_e( 'Submit', 'jeg-portfolio' ); ?></span>
											</a>
										</div>
									</div>
								</div>
							</div>
						</div>
					<?php } else { ?>
						<!-- slider content -->
						<div class="portfolio-content-slider">
							<div class="portfolio-slider-holder">
								<div class="slider sliderhold">
									<?php echo jeg_portfolio_featured_heading( JEG_PORTFOLIO_POST_ID ); ?>
								</div>

								<div class="portfolio-navigation">
									<div class="pt-next portfolionavnext portfolionavprevnext">
										<span class="pt-bgarrow"></span>
										<div class="pt-next-bg pt-next-prev-bg"></div>
									</div>
									<div class="pt-prev portfolionavprev portfolionavprevnext">
										<span class="pt-bgarrow"></span>
										<div class="pt-prev-bg pt-next-prev-bg"></div>
									</div>
								</div>
							</div>
						</div>
						<div class="portfolio-content-wrapper">
							<div class="portfolio-content-wrapper-inner">

								<h1><?php the_title(); ?></h1>
								<span class="portfolio-date"><?php echo get_the_date(); ?></span>
								<span class="portfolio-meta-line" style=""></span>
								<div class="portfolio-meta-description">
									<?php echo apply_filters( 'the_content', $post->post_content ); ?>
								</div>
								<span class="portfolio-meta-line" style=""></span>

								<?php
								$portfoliometa = jeg_metabox( 'jpt_meta_metabox.portfolio_meta', [], JEG_PORTFOLIO_POST_ID );
								foreach ( $portfoliometa as $meta ) :
									if ( empty( $meta['meta_content_url'] ) ) {
										echo "<div class='portfolio-meta nopadding'>
											<h2> " . esc_html( $meta['meta_title'] ) . "</h2>
											<div class='portfolio-meta-desc'>
												<p>" . esc_html( $meta['meta_content'] ) . '</p>
											</div>
										</div>';
									} else {
										echo "<div class='portfolio-meta nopadding'>
											<h2>" . esc_html( $meta['meta_title'] ) . "</h2>
											<div class='portfolio-meta-desc'>
												<p><a target='_blank' href='" . esc_html( $meta['meta_content_url'] ) . "'>" . esc_html( $meta['meta_content'] ) . '</a></p>
											</div>
										</div>';
									}

								endforeach;
								?>

								<?php
								$enable_project_link = jeg_metabox( 'jpt_meta_metabox.enable_project_link', false, JEG_PORTFOLIO_POST_ID );
								if ( $enable_project_link ) {
									$project_link = jeg_metabox( 'jpt_meta_metabox.project_link', [], JEG_PORTFOLIO_POST_ID );
									?> <span class="portfolio-meta-line" style=""></span> <?php
									foreach ( $project_link as $link ) {
										$metatitle    = isset( $link ) ? $link['title'] : '';
										$metacontent  = isset( $link ) ? $link['content'] : '';
										$metaurl      = isset( $link ) ? $link['url'] : '';
										?>
										<div class="portfolio-link">
											<span><?php echo esc_html( $metatitle ); ?></span>
											<a class="slider-button" target="_blank"
											href="<?php echo esc_url( $metaurl ); ?>">
												<span class="button-text"><?php echo esc_html( $metacontent ); ?></span>
											</a>
										</div>
										<?php	
									}
								}
								?>
							</div>
						</div>
						<!-- end slider content -->
					<?php } ?>
				</div>
			</div>

			<div class="portfoliobottombar">
				<div class="portfolionavtitle"></div>
			</div>
		</div>

		<div class="portfolio-share-overlay">
			<div class="share-container">
				<div class="share-close"></div>
				<div class="share-header">
					<h2><?php esc_html_e( 'Share Our Portfolio', 'jeg-portfolio' ); ?></h2>
				</div>
				<?php do_action( 'portfolio_share' ); ?>
			</div>
		</div>
	</div>
	<?php
endif;
?>
